/***************************************************************************

NAME
    dcpd.c -- daemon for DCP protocol

DESCRIPTION
    Trivial wrapper around the DCP protocol server state machine.  This
module exists in order to isolate the code changes needed to add a new
DCP service.

AUTHOR
   Eric S. Raymond <esr@thyrsus.com>

***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <gdbm.h>
#include "dcpd.h"

/* bump this number whenever you add a new service */
#define DCP_SERVICE_COUNT	2

/* add externs for new service structures here */
extern struct dcp_service rot13; /* ROT13 test service */
extern struct dcp_service gimps; /* Great Internet Mersenne Prime Search */

extern int optind;

int main(int argc, char *argv[])
{
    struct dcp_service *services[DCP_SERVICE_COUNT];
    int c, admin;

    /* add new service slot initializations above this line */
    services[0] = &rot13;	/* trivial test service */
    services[1] = &gimps;

    services[DCP_SERVICE_COUNT] = (struct dcp_service *)NULL;

    admin = 0;
    while ((c = getopt(argc, argv, "i")) != EOF)
	switch(c)
	{
	case 'i':
	    admin = 1;
	    break;
	}

    return(dcp_server(admin, stdin, services, stdout));
}

/* dcpd.c ends here */
