.\" For license terms, see the file COPYING in this directory.
.TH dcpd LOCAL
.SH NAME
dcpd \- server daemon for Distributed Computing Protocol
.SH SYNOPSIS
.B dcpd [-i]
.SH DESCRIPTION
The 
.I dcpd
program speaks Distributed Computing Protocol.  It is intended to be
invoked either as a single-threaded daemon by
.IR inetd (8)
with a control line resembling

.nf
      dcpd   stream  tcp     nowait  root    dcpd
.fi

and a service port declaration

.nf
      dcp    1588/tcp
.fi

or in interactive (-i) mode for use as a DCP database administrative
tool.
.PP
The uses and specifics of DCP are described in the 
.I DCP Protocol Specification
document included with this distribution.
.PP
In the interactive mode enabled by the -i option, 
.I dcpd
issues an input prompt,
recognizes certain one-letter abbreviations for DCP protocol commands,
and additional commands useful for routine administrative operations
on DCP databases.  These commands may be listed by typing `?' at the
dcpd prompt.
.SH AUTHOR
Eric S. Raymond <esr@thyrsus.com>.
