#!/bin/sh
#
# gen_err -- generate client-side error numbers from server module(s)
#
trap 'rm -f /tmp/gen_err.$$; exit 0' 0 1 2 15;

cat >/tmp/gen_err.$$

cat >dcperror.h <<EOF
/* dcperror.h -- DCP server-response error codes */

/* NOTE: THIS IS GENERATED FROM THE DCP SERVER SOURCE -- DON'T HANDHACK! */

EOF

sed </tmp/gen_err.$$ -n -e '/.*ERR 0*\([0-9]*\) \([A-Z]*\) \([^\\]*\)\\.*/s//#define \2	\1	\/* \3 *\//p' \
	| sort -n +2 -3 | uniq >>dcperror.h

cat >>dcperror.h <<EOF

/* dcperror.h ends here */
EOF


cat >dcperror.c <<EOF
/* dcperror.c -- DCP server-response prettyprinter */

/* NOTE: THIS IS GENERATED FROM THE DCP SERVER SOURCE -- DON'T HANDHACK! */

#include "dcperror.h"

char *dcp_error(int err)
{
    switch(err)
    {
EOF

sed </tmp/gen_err.$$ -n -e '/.*ERR 0*\([0-9]*\) \([A-Z]*\) \([^\\]*\)\\.*/s//    case \2:	return("\2: \3");/p' | sort -u >>dcperror.c

cat >>dcperror.c <<EOF
    default:		return("EUNKNWN: Unknown error"); 
    }
}

/* dcperror.c ends here */
EOF

# script ends here
