/***************************************************************************

NAME
    gimps.c -- Great Internet Mersenne Prime Search functions for DCP

DESCRIPTION
    DCP service functions specific to the GIMPS project

***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <gdbm.h>
#include "dcpd.h"

static int key_ok(const char *key)
/* tell if given key is valid for search */
{
    /* this is a stub for testing purposes */
    return(1);
}

static int record_ok(const char *key, 
		     struct dcp_entry *en, 
		     const char *newdata)
/* validate replacement of property data for given key */
{
    /* return value of this function will increment entry's ntests member */
    return(1);
}

static int estimate(const char *key)
/* estimate test time in Kflops for given key */
{
    /* this is a stub for testing purposes */
    return(23);
}

static void key_gen(char *key)
/* generate a good key to search according to server policy */
{
    /* this is a stub for testing purposes */
    strcpy(key, "23");
}

static char *prettyprint(char *data)
/* expand property representation into something nice and human-readable */
{
    /* simplest possible transformation */ 
    return(data);
}

static char *compress(char *data)
/* compress property representation into something space-efficient */
{
    /* simplest possible transformation */ 
    return(data);
}

struct dcp_service gimps = {
    "GIMPS", 					/* project name */
    "Great Internet Mersenne Prime Search",	/* project description */
    "gimps", 					/* base filename */

    key_ok,					/* tell if key is valid */
    record_ok,					/* REPORT validation */
    estimate,				/* computation estimate function */
    key_gen,					/* generate next key */
    prettyprint,				/* prettyprint report data */
    compress,					/* compress report data */

    30 * DAYS,					/* expiration time */
};

/* gimps.c ends here */
