/* nexttok.c -- oken-parsing for server (and admin-tool) command lines */

#include <stdio.h>
#include <string.h>
#include <ctype.h>

char *nexttok(char *bp)
/* extract next token (possibly quoted) from given buffer */
{
    static char	*bufp, *tp, token[BUFSIZ];

    if (bp)
	bufp = bp;
    tp = token;

    /* skip whitespace before token */
    while (*bufp && isspace(*bufp))
	++bufp;

    if (!*bufp)
    {
	*tp = '\0';
	return((char *)NULL);
    }
    else if (*bufp == '"')		/* "-enclosed token */
    {
	++bufp;
	while (*bufp && *bufp != '"')
	    *tp++ = *bufp++;
	++bufp;
    }
    else				/* ordinary whitespace-delimited */
	while (*bufp && !isspace(*bufp))
	    *tp++ = *bufp++;
    *tp = '\0';

    return(token);
}

/* nexttok.c ends here */
